/*-------------------------------------------------------------------------------------------*/
/*---------------------------------------- VARIABLES ----------------------------------------*/
/*-------------------------------------------------------------------------------------------*/
:root {
    --fullscreen-sidebar-items-padding: 0px;
    --sidenav-item-border-bottom: 1px solid var(--theme-lines);
    --topbar-height: 80px;
    --footer-logo-height: 30px;
    --footer-padding: 0.5rem;
    --footer-border-width: 1px;
    --actual-content-height: calc(100vh - var(--topbar-height) - var(--footer-logo-height) - var(--footer-padding)*2 - var(--footer-border-width) - 6rem);
}

.content-height {
    height: var(--actual-content-height) !important;
}

/*-------------------------------------------------------------------------------------------*/
/*----------------------------------------- GENERAL -----------------------------------------*/
/*-------------------------------------------------------------------------------------------*/
body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    min-height: -webkit-fill-available;
}

main {
    flex: 1;
    max-height: inherit;
    background-color: var(--background-color);
    padding-bottom: 45px;
}

html {
    height: -webkit-fill-available;
}

.text-transform-none{
    text-transform: none !important;
}

.sticky {
    position: sticky;
    top: 0;
}

.shadow {
    box-shadow: 0 3px 6px #00000016 !important;
}

.truncate-text {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
/*-------------------------------------------------------------------------------------------*/
/*----------------------------------------- SIDEBAR -----------------------------------------*/
/*-------------------------------------------------------------------------------------------*/

/*------------------ <Logo> -----------------*/
#logo {
    position: relative;
    display: flex;
    flex-direction: row;
    min-height: 80px;
    justify-content: center;
}

.logo { 
    background-color: var(--theme-logo); 
    -webkit-mask: url(../images/logo-oceanosDT.svg) no-repeat center; 
    mask: url(../images/logo-oceanosDT.svg) no-repeat center; 
    height: 70px; 
    width: 175px; 
}

#logo .navbar-brand {
    display: flex;
    flex-direction: row;
    margin: 0;
    padding-top: 0;
    padding-bottom: 0;
    padding-right: 12px;
    justify-content: center;
    width: 240px;
}

#logo .logo { 
    max-width: calc(200px - 24px); 
    max-height: calc(70px * 1); /* Change the height of the logo by a factor of the navbar.*/ 
    margin-top: 10px; /* 0 if logo's width is larger than its height, else 12px*/ 
} 

#logo.logo-login {
    min-height: 100px;
}

body.sidebar-closed .sidebar .logo {
    opacity: 0;
}
/*----------------- </Logo> -----------------*/


/*------------- <Sidebar General> -----------*/
#sidebarMenu {
    position: fixed;
    height: 100vh;
    opacity: 1;
}

.sidebar {
    position: fixed;
    display: inline-block;
    top: 0;
    bottom: 0;
    left: 0;
    padding: 0 0 0; /* Height of navbar */
    box-shadow: 0 2px 5px 0 rgb(0 0 0 / 5%), 0 2px 10px 0 rgb(0 0 0 / 5%);
    z-index: 101;
    width: 240px;
    transition: width 0.3s ease 0s;
}

body.sidebar-closed .sidebar {
    display: inline-block;
    width: 84px;
}

.sidebar.transition-off{
    transition: width 0s ease;
}

body:not(.sidebar-closed) .sidebar.sidebar-resize {
    box-sizing: border-box;
    position: fixed;
    padding: 0 0 0;
    width: 100vw !important;
    visibility: visible;
}

body.sidebar-closed .sidebar.sidebar-resize {
    width: 0;
}
/*------------ </Sidebar General> -----------*/


/*------------- <Sidebar Scroll> ------------*/
#sidebarMenu-scroll {
    /*height: 100%;*/
    overflow-y: auto;
    overflow-x: hidden;
    position: relative;
    max-height: calc(100vh
        - 96px /*Navbar height + mb-3*/
        - 6.3135rem - 47px /*sidebar-user-section*/
        - 4px /*misc borders and margins*/);
}

/* width */
#sidebarMenu #sidebarMenu-scroll::-webkit-scrollbar {
    width: 5px;
    background: transparent;
}

/* Track */
#sidebarMenu:hover #sidebarMenu-scroll::-webkit-scrollbar-track {
    background: #f1f1f1;
}

#sidebarMenu-scroll::-webkit-scrollbar-track:hover {
    background: #eee;
    width: 0;
    border-radius: 10px
}

/* Handle */
#sidebarMenu:hover #sidebarMenu-scroll::-webkit-scrollbar-thumb {
    background: #afafaf;
    border-radius: 10px
}

/* Handle on hover */
#sidebarMenu-scroll::-webkit-scrollbar-thumb:hover {
    background: #555;
    width: 5px;
    border-radius: 10px
}
/*------------ </Sidebar Scroll> ------------*/


/*------------- <Sidebar Items> -------------*/
.sidebar .active {
    border-radius: 5px;
    box-shadow: 0 2px 5px 0 rgb(0 0 0 / 16%), 0 2px 10px 0 rgb(0 0 0 / 12%);
}

.nav-link {
    font-size: 1.0625rem;
    font-weight: normal;
    text-transform: capitalize;
    color: #444444;
}

.nav-link:active {
    font-size: 1.0625rem;
    font-weight: bold;
    text-transform: capitalize;
    color: #ffffff;
    background-color: var(--theme-primary);
}

.nav-link.force-active { 
    font-weight: bold;
    color: #ffffff;
    background-color: var(--theme-primary);
}

.nav-link.force-active i::after {
    background-color: #ffffff;
}

.sidebar .nav-link span {
    display: inline;
}

body.sidebar-closed .sidebar .nav-link {
    justify-content: center;
}

body.sidebar-closed .sidebar .nav-link span {
    display: none;
}

/* Change font size if user's name is too long and if necessary, wrap*/
body:not(.sidebar-closed) .sidebar #user-info.wrap-name {
    flex-direction: column;
}

.name-size-16px {
    font-size: 1rem;
}

.name-size-15px {
    font-size: 0.9375rem;
}

.name-size-14px {
    font-size: 0.875rem;
}

/* Show only first letter of Name and Surname when sidebar is closed */
body.sidebar-closed .sidebar #user-info.nav-link span {
    display: inline;
    font-size: 0;
}

body.sidebar-closed .sidebar #user-info.nav-link span::first-letter {
    font-size: 1.0625rem;
}



body.sidebar-closed .sidebar .nav-link i {
    min-height: 25.5px;
    font-size: 20px;
    padding-top: 2px;
}

.sidenav-item {
    width: inherit;
    border-bottom: 0.5px solid  var(--theme-lines);
    margin: 0.5px 0;
}

.sidenav-item:last-child {
    border-bottom: var(--sidenav-item-border-bottom);
}

.sidenav-item a {
    width: 100%;
    align-items: center;
    display: flex;
    flex-direction: row;
}

.sidenav-item a:focus {
    opacity: 1 !important;
    background-color: var(--theme-primary);
    color: #ffffff;
    font-weight: bold;
}

.sidenav-item a:active {
    opacity: 1 !important;
    background-color: var(--theme-primary);
    color: #ffffff;
    font-weight: bold;
}

.sidenav-item a:hover {
    opacity: 1 !important;
    background-color: #eeeeee;
    color: #444;
    font-weight: 500;
}

.sidenav-item a:hover i::after {
    background-color: #444;
}

.sidebar.transition-off .sidenav-item a {
    transition:  width 0s ease 0s;
}

.sidenav-item a.dropdown-toggle {
    cursor: pointer;
}

.sidenav-item a.dropdown-toggle:focus::after,
.sidenav-item a.dropdown-toggle:active::after{
    content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16px' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%28255,255,255,1%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
}

.sidenav-item a.dropdown-toggle .truncate-text{
    max-width: calc(240px - 80px); /*Adjust this value if the sidebar width is changed*/
}

.sidenav-group a {
    display: inline-flex;
    padding: .1875rem .5rem 0.1875rem 2.5rem;
    margin-top: .125rem;
    text-decoration: none;
    width: 100%;
}

.sidebar-divider {
    margin: 0.5px 0;
    /* border-bottom: 1px solid var(--theme-lines); */
    width: inherit;
}

.sidenav-item-logout{
    padding-top: 8px;
    padding-bottom: 8px;
    background-color: #d0d0d0;
    border-top: solid 1px #d0d0d0;
    min-height: 47px;
}

#sidebar-user-section li {
    list-style: none;
}

#sidebar-user-section {
    position: absolute;
    bottom: 0;
    overflow-x: hidden;
}

#sidebar-user-section .sidenav-item {
    border-bottom: none;
}
/*------------ </Sidebar Items> -------------*/

/*------------ <Sidebar Icons> -------------*/

.sidebar-icon::after {
    content: "";
    width: 20px;
    height: 20px;
    mask-repeat: no-repeat;
    mask-size: contain;
    background-color: #444;
    display: flex;
}

.dashboard-icon.sidebar-icon::after{
    mask-image: url("../icons/customicons/svgs/sidebar-dashboard.svg");
}

.new-trial-icon.sidebar-icon::after{
    mask-image: url("../icons/customicons/svgs/sidebar-new_trial2.svg");
}

.public-trials-icon.sidebar-icon::after{
    mask-image: url("../icons/customicons/svgs/sidebar-public_trials-np.svg");
}

.my-trials-icon.sidebar-icon::after{
    mask-image: url("../icons/customicons/svgs/sidebar-my_trials.svg");
}

.users-icon.sidebar-icon::after{
    mask-image: url("../icons/customicons/svgs/sidebar-users.svg");
}

/*------------ </Sidebar Icons> -------------*/

/*------------ <Dropdown Toggle> ------------*/
/*.dropdown-toggle {*/
/*    outline: 0;*/
/*}*/

#header #language .dropdown-toggle::after {
    display: none;
}

#header #language .dropdown-toggle {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right center;
    background-size: 13px;
     margin-left: 10px;
    padding: 0 20px 0 5px;
}

.sidebar .dropdown-toggle::after {
    line-height: 0;
    content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16px' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
    transform: rotate(90deg);
    transition: transform .35s ease;
    transform-origin: .5em 50%;
    border: none;
    margin-left: auto;
}


.sidebar .dropdown-toggle[aria-expanded="true"]::after {
    transform: rotate(-90deg);
}

body.sidebar-closed .sidebar .dropdown-toggle::after{
    content: none;
}
/*----------- </Dropdown Toggle> ------------*/

/*-------------------------------------------------------------------------------------------*/
/*--------------------------------------- TOP NAVBAR ----------------------------------------*/
/*-------------------------------------------------------------------------------------------*/

/*------------ <Navbar General> -------------*/
#main-navbar {
    height: var(--topbar-height);
    z-index: 100;
}

#navBarContainer{
    max-width: none;
}

.menu-link {
    font-size: 1.0625rem;
    font-weight: normal;
    text-transform: capitalize;
}

.menu-link.dropdown-toggle{
    text-decoration: none;
}

.header-row {
    position: relative;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.header-row .truncate-text {
    width: calc(95vw - 240px /*sidebar width*/ - 24px/*container padding*/);
}

body.sidebar-closed .header-row .truncate-text{
    width: calc(95vw - 84px /*sidebar width*/ - 24px/*container padding*/);
}

.navbar > .container-fluid {
    justify-content: flex-start !important;
}
/*------------ </Navbar General> ------------*/


/*------------ <Navbar Dropdown> ------------*/
#header .header-misc {
    position: initial;
    display: flex;
    align-items: center;
    margin-left: 15px;
    order: 6;
}

#header .dropdown-menu {
    border-radius: 0px 0px 5px 5px;
    border: none;
    border-top: 2px solid #1e2f56;
    box-shadow: 0px 3px 6px #00000016;
    background-color: #ffffff;
    position: absolute;
    margin-top: 1.35rem !important;
}

#header .dropdown-menu li {
    border-bottom: 1px solid #eee;
}

#header .dropdown-menu li:last-child {
    border-bottom: none;
}

#header .dropdown-item {
    /*font-size: 13px;*/
    font-weight: 400;
    /*text-transform: uppercase;*/
    color: #444444;
    padding: 15px;
}

#header .dropdown-item i {
    margin-right: 10px;
    font-size: 16px;
}

#header .dropdown-item:hover,
#header .dropdown-item:focus,
#header .dropdown-item:active {
    color: var(--theme-primary);
    background-color: transparent;
}

.nav-item a.dropdown-toggle {
    display: flex;
    align-items: center;
    padding: 0 0 0 5px;
}

.nav-item a.dropdown-toggle:focus, .header-misc a:focus {
    border: 0;
    box-shadow: 0 0;
}

.nav-item a.dropdown-toggle:focus-visible, .header-misc a:focus-visible {
    border-radius: 1px;
    box-shadow: 0 0 0 var(--bs-navbar-toggler-focus-width) var(--bs-navbar-color);
    outline: 0;
}
/*----------- </Navbar Dropdown> ------------*/


/*--------- <Navbar Notifications> ----------*/
#top-notification {
    position: relative;
}

#top-notification #top-notification-trigger {
    padding-right: 0;
    padding-left: 0;
}

.top-notification-number {
    display: block;
    position: absolute;
    top: -10px;
    left: auto;
    right: -10px;
    font-size: 10px;
    color: #fff;
    width: 1.125rem;
    height: 1.125rem;
    text-align: center;
    border-radius: 50%;
    overflow: hidden;
    background: #1e2f56;
    padding: 1px;
}

.top-notification-content {
    width: 260px;
    padding: 0;
}

.top-notification-title {
    padding: 1rem;
    border-bottom: 1px solid #eee;
    font-size: 1rem;
    font-weight: bold;
    letter-spacing: 2px;
}

.top-notification-item {
    -ms-flex-pack: start;
    justify-content: flex-start;
    border-bottom: 1px solid #E1E1E1;
}

.top-notification-item:last-child {
    border-bottom: none;
}

.top-notification-desc {
    padding: 1rem 1rem 0rem 1rem;
    -ms-flex-preferred-size: 0;
    flex-basis: 0;
    -ms-flex-positive: 1;
    flex-grow: 1;
    max-width: 100%;
}
/*-------- </Navbar Notifications> ----------*/

/*-------------------------------------------------------------------------------------------*/
/*----------------------------------------- FOOTER ------------------------------------------*/
/*-------------------------------------------------------------------------------------------*/
footer { 
    border-top: var(--footer-border-width) solid #eeeeee; 
    background-color: #FFFFFF; 
    color: var(--primary-font-color); 
    padding-top: var(--footer-padding); 
    padding-bottom: var(--footer-padding); 
    position: relative; 
    min-height: 47px; 
} 

footer .logo {
    height: var(--footer-logo-height);
    width: auto;
    background-color: transparent;
    mask: none;
    -webkit-mask: none;
}

footer .logo.funding-logo { 
    height: 50px; 
} 

footer p { 
    font-size: 0.80rem; 
} 
  
@media(max-width: 1199.98px) { 
    footer p { 
        font-size: 0.70rem; 
    } 
} 

/*-------------------------------------------------------------------------------------------*/
/*----------------------------------------- COMMON ------------------------------------------*/
/*-------------------------------------------------------------------------------------------*/
.p-main, #navBarContainer, #sidebar-footer {
    padding: 0 2.5%
}


/*-------------------------------------------------------------------------------------------*/
/*------------------------------------- @MEDIA (COMMON) -------------------------------------*/
/*-------------------------------------------------------------------------------------------*/
@media (max-width: 767.98px) {
    body.sidebar-closed .sidebar.sidebar-resize.transition-off {
        display: none;
        transition: display 0s ease 0.5s;
    }

    #main-navbar {
        padding-left: 70px;
        transition: padding 0.3s ease;
    }

    main, footer {
        padding-left: 0;
        transition: padding 0.3s ease;
    }

    .header-row .truncate-text{
        width: calc(100vw - 24px/*container padding*/ - 70px - 5vw) !important;
    }

    .sidenav-item {
        display: flex;
        justify-content: center;
        flex-direction: column;
    }

    .sidenav-item a {
        transition: width 0.15s ease;
    }

    .sidenav-item .truncate-text {
        width: auto;
        max-width: calc(100vw - 55px);
    }

    .sidenav-item a.dropdown-toggle .truncate-text {
        width: auto;
        max-width: calc(100vw - 80px);
    }

    .sidebar .dropdown-toggle span {
        margin-right: 0.5rem;
    }

    .sidebar .dropdown-toggle::after {
        margin-left: 0;
    }

    body:not(.sidebar-closed) .sidebar #sidebarMenu-scroll .sidenav-item a {
        padding: 0.5rem max(16px, calc(calc(100vw - var(--fullscreen-sidebar-items-padding))/2));
    }

    body:not(.sidebar-closed) .sidebar #sidebarMenu-scroll .sidenav-item .sidenav-group a {
        padding: 0.5rem
            max(16px, calc(calc(100vw - var(--fullscreen-sidebar-items-padding))/2 - 2.5rem))
            0.5rem
            max(16px, calc(calc(100vw - var(--fullscreen-sidebar-items-padding))/2 + 2.5rem));
    }
}


@media (min-width: 768px) {
    main, footer, #main-navbar {
        padding-left: 240px;
        transition: padding 0.3s ease;
    }

    body.sidebar-closed main,
    body.sidebar-closed footer,
    body.sidebar-closed #main-navbar {
        padding-left: 84px;
        transition: padding 0.3s ease;
    }
}


@media (min-width: 1400px) {
    #copyright-div {
        position: fixed;
        width: calc(100vw - 340px);
    }
}